Package org.snpeff.pdb

# Class ProteinInteractions

java.lang.Object
org.snpeff.pdb.ProteinInteractions

public class ProteinInteractions extends Object
This class reads a set of protein structure (PDB) files, analyzes the structures, and creates a interactions file for a SnpEff genome database (interactions.bin)

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static final double`
`DEFAULT_DISTANCE_THRESHOLD`
`static final double`
`DEFAULT_MAX_MISMATCH_RATE`
`static final String`
`DEFAULT_PDB_DIR`
`static final int`
`DEFAULT_PDB_MIN_AA_SEPARATION`
`static final String`
`DEFAULT_PDB_ORGANISM_COMMON`
`static final String`
`DEFAULT_PDB_ORGANISM_SCIENTIFIC`
`static final double`
`DEFAULT_PDB_RESOLUTION`
`static final String`
`PROTEIN_INTERACTION_FILE`

## Constructor Summary

Constructors
Constructor
Description
`ProteinInteractions()`

## Method Summary

Modifier and Type
Method
Description
`String`
`checkParams()`
`void`
`deleteOutputDb()`
`boolean`
`filterTranscript(String trId)`
Return true if the transcript passes the criteria (i.e.
`Set<String>`
`findTranscriptIds(String pdbId)`
`int`
`getAaMinSeparation()`
`List<IdMapperEntry>`
`getByProteinId(String proteinId)`
`List<DistanceResult>`
`getDistanceResults()`
`double`
`getDistanceThreshold()`
`double`
`getDistanceThresholdNon()`
`String`
`getIdMapFile()`
`double`
`getMaxMismatchRate()`
`String`
`getPdbOrganismCommon()`
`String`
`getPdbOrganismScientific()`
`double`
`getPdbResolution()`
`Transcript`
`getTranscript(String trId)`
`void`
`incCountFilesPass()`
`void`
`incCountMapError()`
`void`
`incCountMapOk()`
`void`
`initialize(Config config)`
Initialize class (deferred initialization) Note: This is not done at construction because we don't have a 'Config' object ready (loaded) at the time
`boolean`
`isDebug()`
`boolean`
`isVerbose()`
`void`
`loadIdMapper()`
`void`
`pdb()`
PDB analysis
`protected void`
`pdbAnalysis()`
Check that protein sequences form PDB matches sequences from Genome Return an IdMapped of confirmed entries (i.e.
`boolean`
`run()`
Run analysis.
`boolean`
`run(boolean storeResults)`
`void`
`save(List<DistanceResult> distResults)`
Save results
`void`
`setAaMinSeparation(int aaMinSeparation)`
`void`
`setConfig(Config config)`
`void`
`setDebug(boolean debug)`
`void`
`setDistanceThreshold(double distanceThreshold)`
`void`
`setDistanceThresholdNon(double distanceThresholdNon)`
`void`
`setGenomeVer(String genomeVer)`
`void`
`setIdMapFile(String idMapFile)`
`void`
`setMaxMismatchRate(double maxMismatchRate)`
`void`
`setPdbDir(String pdbDir)`
`void`
`setPdbOrganismCommon(String pdbOrganismCommon)`
`void`
`setPdbOrganismScientific(String pdbOrganismScientific)`
`void`
`setPdbResolution(double pdbResolution)`
`void`
`setVerbose(boolean verbose)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PROTEIN_INTERACTION_FILE

public static final String PROTEIN_INTERACTION_FILE

See Also:
  - Constant Field Values

### DEFAULT_PDB_DIR

public static final String DEFAULT_PDB_DIR

See Also:
  - Constant Field Values

### DEFAULT_DISTANCE_THRESHOLD

public static final double DEFAULT_DISTANCE_THRESHOLD

See Also:
  - Constant Field Values

### DEFAULT_MAX_MISMATCH_RATE

public static final double DEFAULT_MAX_MISMATCH_RATE

See Also:
  - Constant Field Values

### DEFAULT_PDB_MIN_AA_SEPARATION

public static final int DEFAULT_PDB_MIN_AA_SEPARATION

See Also:
  - Constant Field Values

### DEFAULT_PDB_ORGANISM_COMMON

public static final String DEFAULT_PDB_ORGANISM_COMMON

See Also:
  - Constant Field Values

### DEFAULT_PDB_ORGANISM_SCIENTIFIC

public static final String DEFAULT_PDB_ORGANISM_SCIENTIFIC

See Also:
  - Constant Field Values

### DEFAULT_PDB_RESOLUTION

public static final double DEFAULT_PDB_RESOLUTION

See Also:
  - Constant Field Values

## Constructor Details

### ProteinInteractions

public ProteinInteractions()

## Method Details

### checkParams

public String checkParams()

### deleteOutputDb

public void deleteOutputDb()

### filterTranscript

public boolean filterTranscript(String trId)
Return true if the transcript passes the criteria (i.e. the ID is present in 'trancriptById' map)

### findTranscriptIds

public Set<String> findTranscriptIds(String pdbId)

### getAaMinSeparation

public int getAaMinSeparation()

### setAaMinSeparation

public void setAaMinSeparation(int aaMinSeparation)

### getByProteinId

public List<IdMapperEntry> getByProteinId(String proteinId)

### getDistanceResults

public List<DistanceResult> getDistanceResults()

### getDistanceThreshold

public double getDistanceThreshold()

### setDistanceThreshold

public void setDistanceThreshold(double distanceThreshold)

### getDistanceThresholdNon

public double getDistanceThresholdNon()

### setDistanceThresholdNon

public void setDistanceThresholdNon(double distanceThresholdNon)

### getIdMapFile

public String getIdMapFile()

### setIdMapFile

public void setIdMapFile(String idMapFile)

### getMaxMismatchRate

public double getMaxMismatchRate()

### setMaxMismatchRate

public void setMaxMismatchRate(double maxMismatchRate)

### getPdbOrganismCommon

public String getPdbOrganismCommon()

### setPdbOrganismCommon

public void setPdbOrganismCommon(String pdbOrganismCommon)

### getPdbOrganismScientific

public String getPdbOrganismScientific()

### setPdbOrganismScientific

public void setPdbOrganismScientific(String pdbOrganismScientific)

### getPdbResolution

public double getPdbResolution()

### setPdbResolution

public void setPdbResolution(double pdbResolution)

### getTranscript

public Transcript getTranscript(String trId)

### incCountFilesPass

public void incCountFilesPass()

### incCountMapOk

public void incCountMapOk()

### incCountMapError

public void incCountMapError()

### initialize

public void initialize(Config config)
Initialize class (deferred initialization) Note: This is not done at construction because we don't have a 'Config' object ready (loaded) at the time

### isDebug

public boolean isDebug()

### setDebug

public void setDebug(boolean debug)

### isVerbose

public boolean isVerbose()

### setVerbose

public void setVerbose(boolean verbose)

### loadIdMapper

public void loadIdMapper()

### pdb

public void pdb()
PDB analysis

### pdbAnalysis

protected void pdbAnalysis()
Check that protein sequences form PDB matches sequences from Genome Return an IdMapped of confirmed entries (i.e. AA sequence matches between transcript and PDB)

### run

public boolean run()
Run analysis.

### run

public boolean run(boolean storeResults)

### save

public void save(List<DistanceResult> distResults)
Save results

### setConfig

public void setConfig(Config config)

### setGenomeVer

public void setGenomeVer(String genomeVer)

### setPdbDir

public void setPdbDir(String pdbDir)